/*
 *	ShapeAction.h
 *
 *	Robert Dierkes,  April 26, 1993
 *
 *	Change History:
 *
 *	   4/93	???		New
 *	   4/96	bob		Updated #includes to support changed GX Library names.
 *					Changed fixed to Fixed.
 *					Changed boolean to Boolean.
 *					Added the copyright info.
 *
 *
 *		 Apple Computer, Inc. 1990 - 1996  All rights reserved
 *
 */

#include <GXTypes.h>

typedef struct
{
		gxShape			*pShapes;
		gxShape			boxes;

		gxShapePart		partsHit;
		Fixed			tolerance;

		Boolean			showControlPoints,
						showLocalBounds;

		Boolean		   testNothing;
		Boolean			testBounds;
		Boolean			testGeometry;
		Boolean			testPen;
		Boolean			testCornerPoint;
		Boolean			testControlPoint;
		Boolean			testEdge;
		Boolean			testJoin;		/* also testGlyphBounds */
		Boolean			testStartCap;	/* also testGlyphFirst  */
		Boolean			testEndCap;		/* also testGlyphLast   */
		Boolean			testDash;		/* also testSideBearing */
		Boolean			testPattern;
		Boolean		   testAnything;

		ControlHandle  hNothing;
		ControlHandle	hBounds;
		ControlHandle	hGeometry;
		ControlHandle	hPen;
		ControlHandle	hCornerPoint;
		ControlHandle	hControlPoint;
		ControlHandle	hEdge;
		ControlHandle	hJoin;			/* also hGlyphBoundsPart */
		ControlHandle	hStartCap;		/* also hGlyphFirstPart  */
		ControlHandle	hEndCap;		/* also hGlyphLastPart   */
		ControlHandle	hDash;			/* also hSideBearingPart */
		ControlHandle	hPattern;
		ControlHandle  hAnything;

} GlobalStructure;

#define	notOnAnyShape	-1

void ShowControlPoints (gxShape *p1stShape, long shapeCount);
void UpdateHitTestWindow (WindowPtr pWindow);
void UpdateShapePartInfo (Point *pQDWhere, GlobalStructure *pG);
