/*
 *	ViewPorts.h
 *
 *	Robert Dierkes,  November 11, 1993
 *
 *	Change History:
 *
 *	   11/93	???		New
 *	   4/96		bob		Updated #includes to support changed GX Library names.
 *						Changed boolean to Boolean.
 *						Added the copyright info.
 *
 *
 *		 Apple Computer, Inc. 1990 - 1996  All rights reserved
 *
 */

#include <Types.h>
#include <Windows.h>
#include <memory.h>
#include <GXTypes.h>


#define		kMinimumPanesPerSide	1
#define		kMaximumPanesPerSide	10
#define		kInitialPanesPerSide	4
#define		kPaneRepeat				4


#define		kFrameThickness		IntToFixed (3)

#define		kObjectWidth		IntToFixed (80)
#define		kObjectHeight		IntToFixed (80)

#define		IfSetViewPortDither(a,b,c)	{if (a) GXSetViewPortDither (b, c);}
#define		SetRBGColor(dotColor,r,g,b)	{dotColor.red = r; dotColor.green = g; dotColor.blue = b;}

void ChangeFrame (Rect *pBounds, long numCols, long numRows, Boolean showFrame, gxShape *pFrame);
void ChangeShapeViewPorts (WindowPtr pWindow, long numCols, long numRows, Boolean showFrame, gxShape object);
void InitializeViewPortGlobals (void);
void ChangeViewPorts (WindowPtr pWindow);
long ChangeViewPortCount (WindowPtr pWindow, Boolean showFrame, long newCount);
void InitializeViewPorts (WindowPtr pWindow);
void DisposeViewPorts (WindowPtr pWindow);
