/**\
|**| =====================================================================
|**|
|**|	graphics shell.h
|**|
|**|	interfaces for a simple, one-window graphics shell
|**|
|**|	Change History:
|**|		3/90	???		New
|**|		4/96	cnn		Changes made for universal headers 2.1 and
|**|						for names of GX Libraries. Also changed
|**|						#if condition which surrounds the definition
|**|						of "qd" to work with MPW 3.4.
|**|
|**|	1990-1996  Apple Computer, Inc.
|**|	All rights reserved.
|**|
|**| =====================================================================
\**/

#include <Desk.h>
#include <Dialogs.h>
#include <Events.h>
#include <Fonts.h>
#include <Windows.h>
#include <Memory.h>
#include <ToolUtils.h>
#include <Menus.h>
#include <Resources.h>
#include <Quickdraw.h>
#include <GestaltEqu.h>
#include <CodeFragments.h>

#include <GXEnvironment.h>
#include <GXGraphics.h>
#include "GraphicsLibraries.h"
#include <GXErrors.h>
#include "FontLibrary.h"



/**\
|**| ---------------------------------------------------------------------
|**| EXTERN GLOBALS
|**| ---------------------------------------------------------------------
\**/
/* these things are kept up-to-date by the shell and may be accessed at any time by the application. */
extern WindowPtr 		gWindow;
extern gxShape 			gWindowBoundsShape;

/* the following are expected to be initialized by the application */
extern Boolean			gDebugging;
extern Boolean			gGiveMeValidation;
extern long				gGraphicsHeapSize;


/**\
|**| ---------------------------------------------------------------------
|**| PROTOTYPES
|**| ---------------------------------------------------------------------
\**/

// QuickDraw GX shell.c:

void	main					(void);
void 	InitToolbox				(void);
void	CheckQuickDrawGX		(void);
void	EventLoop				(void);
void	MyDoEvent				(EventRecord *event);
void	DoMouseDown				(EventRecord *event);
void	SetUpGXDebuggingWorld	(Boolean GXDebuggingInstalled);

/* the following functions are supplied by the application using the shell and are called at the appropriate time. */
void DoInitialization		(WindowPtr);
void DoDraw					(WindowPtr);
void DoDispose				(WindowPtr);
void DoClick				(gxPoint, WindowPtr);
void DoIdle					(WindowPtr);


/**\
|**| ---------------------------------------------------------------------
|**| ENUMS
|**| ---------------------------------------------------------------------
\**/
enum dlogIDs {rNoQuickDrawGXID=129};



