/*________________________________________________________

	File: Back2Front.h

	C header file for a printing extension.

	Dave Hersey
	Apple Developer Technical Support

	 3/22/94 - dmh - Created.

	(Note: labels are in the Mark menu.)
	
__________________________________________________________*/

#include <Types.h>
#include <Errors.h>
#include <Resources.h>
#include <ToolUtils.h>
#include <GXExceptions.h>
#include <Collections.h>
#include <GXMessages.h>
#include <GXPrinting.h>


#define kCreator					'B2Fr'			/* Our creator type.			*/
#define kExtensionCollectionType	kCreator		/* The collection type we use.	*/

#define r_ExtensionPanel			6000			/* The ID of our dialog panel.	*/
#define kExtensionTurnedOff			0				/* We're turned on.				*/
#define kExtensionTurnedOn			1				/* We're turned off.			*/

#define kDefaultSetting			kExtensionTurnedOff	/* We're off by default.		*/


typedef struct ExtensionCollection					/* This is our collection type.	*/
{
	char	extTurnedOn;							/* On/off panel item value.		*/
	char	fillByte;
} ExtensionCollection;


// Prototypes:

extern	long A5Size (void);							/* We need these to set up		*/
extern	void A5Init (void *);						/* our A5 world.				*/

OSErr	InitGlobalData(void);
OSErr	NewInitialize(void);
OSErr	NewShutDown(void);
OSErr	NewImageDocument(gxSpoolFile aSpoolFile, void *imageData);
OSErr	NewJobPrintDialog(gxDialogResult *dlogResult);
OSErr	SetUpPrintPanel(void);
OSErr	GetJobCollectionItem(void *collectItem, long *collectSize,
							 OSType collectType, short collectID);


