/*
	FILENAME
		CommonDefines.h

	DESCRIPTION
		Contains defines and prototypes used by more than one .r or .h file.

	COPYRIGHT
		Copyright  1995 Apple Computer, Inc.
		All rights reserved.
	
	Modification history
		06/14/96 - cn		  	 -	Updated to support Universal Interfaces 2.1.
									
		10/04/95 - David Hayward -	Version 1.0.4 modified code so that
									the driver can be build under MPW,
									Metrowerks, and Symantec.  In general,
									all that was required to do this was 
									to add an inline-assembly jumptable
									and to store all globals off of the
									message manager instance context.
									Also made a few changes so that the
									driver can be rebuilt to support any
									resolution by changing the #defines
									kResolution and kPatStretch in
									"CommonDefines.h"

		06/14/95 - Dave Hersey -	Version 1.0.3 to fix a bug in
									CustomBufferingAndIO.c when creating
									high-res PICTs, and to make the size
									of buffers more flexible.

		05/26/95 - Dave Hersey -	Version 1.0.2 to add the new 'outp'
									desktop printer resource in NewApp.c.

		05/03/95 - Dave Hersey -	Version 1.0.1 to fix some minor bugs in
									CustomBufferingAndIO.c.

		01/14/95 - Dave Hersey -	Created from the shell of a hollowed-out
									ImageWriter driver.
*/


#include <Devices.h>
#include <Errors.h>
#include <FixMath.h>
#include <Folders.h>
#include <Fonts.h>
#include <Memory.h>
#include <QuickDraw.h>
#include <Resources.h>
#include <Script.h>
#include <ToolUtils.h>
#include <Types.h>

#include <GXGraphics.h>
#include <GXExceptions.h>
#include <GXLayout.h>
#include <GXMath.h>
#include <GXPrinterDrivers.h>
#include <GXPrinting.h>


// Our prototypes in alphabetical order.

OSErr	SD_ChooserMessage			( short message, short caller, StringPtr objName, StringPtr zoneName, ListHandle theList, long p2 ) ;
OSErr	SD_DefaultDesktopPrinter	( Str31 dtpName ) ;
OSErr	SD_RasterDataIn				( gxOffscreenHdl hOffscreen, gxRectangle *bandRect, gxRectangle *dirtyRect ) ;
OSErr	SD_OpenConnection			( void ) ;
OSErr	SD_CloseConnection			( void ) ;
void	SD_CleanupOpenConnection	( void ) ;
OSErr	SD_BufferData				( Ptr data, long length, long bufferOptions ) ;
OSErr	SD_FreeBuffer				( gxPrintingBuffer *theBuffer ) ;
OSErr	SD_WriteData				( Ptr data, long length ) ;
OSErr	SD_DumpBuffer				( gxPrintingBuffer *theBuffer ) ;
OSErr	SD_ImageJob					( gxSpoolFile theSpoolFile, long *closeOptions ) ;
OSErr	SD_StartSendPage			( gxFormat pageFormat ) ;
OSErr	SD_FinishSendPage			( void ) ;
OSErr	SD_SetupImageData			( gxRasterImageDataHdl hImageData ) ;

//OSErr	WriteRawData				( void *dataBuffer, long dataLength ) ;

