#
#	File:		ImageWriter.make
#
#	Contains:	Makefile for the sample ImageWriter II driver.
#
#	Copyright:	 1983-1994 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
# 				 6/14/96	cn		Updated to support MPW Pro #19.
#				 8/26/94	dmh		Finalized.
#				 3/22/94	dmh		Modified for the b4 seed.
#				12/18/93	dmh		Modified for the b3 seed.
#				 9/12/93	dmh		Modified for the b2 seed.
#				 4/26/93	dmh		Modified for the b1 seed.
#				 2/04/93	dmh		Modified for the a5 seed.
#		 <5>	10/22/92	DB		Added changes for version control
#
#

#======= Point these variables to your interface and library directories =======

GXLibrariesSources			=	{MPW}GXLibraries:
GXCompatibilityInterfaces	=	{MPW}GX Compatibility Interfaces:

#========== Directories Containing Source and Object Files ==========

ObjDir					=	:Objects:
SrcDir					=	
DestDir					=	

#========== Compiler Options ==========

AsmOptions				=	-case obj
RezOptions				=	-d SystemSevenOrLater=1 -i "{Rincludes}"
COptions				=	-d applec -b2 -i "{CIncludes}" -i "{GXLibrariesSources}" -i "{GXCompatibilityInterfaces}"
LinkOptions				=	-ra =resSysHeap,resPurgeable

DriverName 		= ImageWriter
DriverType 		= 'pdvr'
DriverCreator 	= 'scI2'
NewSegID		= 0
OldSegID		= 1

# Compile and assemble statements
"{ObjDir}"OldApp.c.o  "{SrcDir}"OldApp.c "{SrcDir}"CommonDefines.h
	SC {COptions} -o "{ObjDir}" "{SrcDir}"OldApp.c

"{ObjDir}"OldApp.a.o	 	"{SrcDir}"OldApp.a
	Asm {AsmOptions} {MakeJumpTable} "{SrcDir}"OldApp.a -o "{ObjDir}"

"{ObjDir}"NewApp.c.o	 "{SrcDir}"NewApp.c "{SrcDir}"CommonDefines.h
	SC {COptions} -o "{ObjDir}" "{SrcDir}"NewApp.c

"{ObjDir}"NewApp.a.o	 	"{SrcDir}"NewApp.a
	Asm {AsmOptions} {MakeJumpTable} "{SrcDir}"NewApp.a -o "{ObjDir}"

"{ObjDir}"ChooserSupport.c.o	 "{SrcDir}"ChooserSupport.c "{SrcDir}"CommonDefines.h
	SC {COptions} -o "{ObjDir}" "{SrcDir}"ChooserSupport.c

"{ObjDir}"ChooserSupport.a.o	 	"{SrcDir}"ChooserSupport.a
	Asm {AsmOptions} {MakeJumpTable} "{SrcDir}"ChooserSupport.a -o "{ObjDir}"

# Link and Rez statements
"{DestDir}{DriverName}"  "{SrcDir}"OldApp.r "{SrcDir}"CommonDefines.h
	Rez {RezOptions} -append -o {DestDir}{DriverName} "{SrcDir}"OldApp.r
	SetFile -a Bi -t {DriverType} -c {DriverCreator} "{DestDir}{DriverName}"
		
"{DestDir}{DriverName}"  "{ObjDir}"OldApp.c.o
	SetFile -a Bi -t {DriverType} -c {DriverCreator} "{DestDir}{DriverName}"

"{ObjDir}TextLibrary.c.o"		 "{GXLibrariesSources}"TextLibrary.c
	SC {COptions} -o "{ObjDir}" "{GXLibrariesSources}"TextLibrary.c

"{ObjDir}PictureLibrary.c.o"	 "{GXLibrariesSources}"PictureLibrary.c
	SC {COptions} -o "{ObjDir}" "{GXLibrariesSources}"PictureLibrary.c

"{ObjDir}FontLibrary.c.o"		 "{GXLibrariesSources}"FontLibrary.c
	SC {COptions} -o "{ObjDir}" "{GXLibrariesSources}"FontLibrary.c

"{ObjDir}ColorLibrary.c.o"		 "{GXLibrariesSources}"ColorLibrary.c
	SC {COptions} -o "{ObjDir}" "{GXLibrariesSources}"ColorLibrary.c

"{ObjDir}GraphicsLibrary.c.o"	 "{GXLibrariesSources}"GraphicsLibrary.c
	SC {COptions} -o "{ObjDir}" "{GXLibrariesSources}"GraphicsLibrary.c

"{DestDir}{DriverName}"  "{SrcDir}"NewApp.r "{SrcDir}"CommonDefines.h
	Rez {RezOptions} -append -o "{DestDir}{DriverName}" "{SrcDir}"NewApp.r
	SetFile -a Bi -t {DriverType} -c {DriverCreator} "{DestDir}{DriverName}"

"{DestDir}{DriverName}"  						
	"{ObjDir}"NewApp.a.o							
	"{ObjDir}"NewApp.c.o							
		"{ObjDir}TextLibrary.c.o"				
		"{ObjDir}PictureLibrary.c.o"			
		"{ObjDir}FontLibrary.c.o"				
		"{ObjDir}ColorLibrary.c.o"				
		"{ObjDir}GraphicsLibrary.c.o"
	Link										
		"{ObjDir}"NewApp.a.o					
		"{ObjDir}"NewApp.c.o					
		
		"{ObjDir}TextLibrary.c.o"				
		"{ObjDir}PictureLibrary.c.o"			
		"{ObjDir}FontLibrary.c.o"				
		"{ObjDir}ColorLibrary.c.o"				
		"{ObjDir}GraphicsLibrary.c.o"			
		
		"{Libraries}Interface.o" 				
		"{Libraries}MacRuntime.o"	 			
		
		{LinkOptions}							
		-rt {DriverType}={NewSegID}				
		-c {DriverCreator}						
		-t {DriverType}							
		-sg {DriverName}						
		-m SD_JumpTable							
		
		-o "{DestDir}{DriverName}"
	SetFile -a Bi -t {DriverType} -c {DriverCreator} "{DestDir}{DriverName}"

"{DestDir}{DriverName}"  						
	"{ObjDir}"OldApp.a.o						
	"{ObjDir}"OldApp.c.o
	Link										
		"{ObjDir}"OldApp.a.o					
		"{ObjDir}"OldApp.c.o					
		
		"{Libraries}MacRuntime.o"	 			
		"{Libraries}Interface.o"	 			
		
		{LinkOptions}							
		-rt {DriverType}={OldSegID}				
		-c {DriverCreator}						
		-t {DriverType}							
		-sg {DriverName}						
		-m SD_JumpTable							
		
		-o "{DestDir}{DriverName}"
	SetFile -a Bi -t {DriverType} -c {DriverCreator} "{DestDir}{DriverName}"

"{DestDir}{DriverName}"  "{SrcDir}"ChooserSupport.r "{SrcDir}"CommonDefines.h
	Rez {RezOptions} -append -o "{DestDir}{DriverName}" "{SrcDir}"ChooserSupport.r
	SetFile -a Bi -t {DriverType} -c {DriverCreator} "{DestDir}{DriverName}"

"{DestDir}{DriverName}"  						
	"{ObjDir}"ChooserSupport.a.o				
	"{ObjDir}"ChooserSupport.c.o
	Link										
		"{ObjDir}"ChooserSupport.a.o			
		"{ObjDir}"ChooserSupport.c.o			
		
		"{CLibraries}StdCLib.o"	 				
		"{Libraries}Interface.o" 				
		"{Libraries}MacRuntime.o"	 			
		
		-msg noDup								
		
		-ra =resSysHeap,resPurgeable			
		-rt PACK=-4096							
		-sg PrintingPACK						
		-m EntryPoint							
		
		-o {Targ}

"{DestDir}{DriverName}"	 "{ObjDir}"ChooserSupport.c.o
	Link -w -ra =resSysHeap,resPurgeable		
			-rt LDEF=-4096 -m LDEF -sg LDEF		
			-o {Targ} "{ObjDir}"ChooserSupport.c.o
